curl --request POST \ --url https://api.zuddl.com/v1/events/{eventId}/sessions \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "title": "Maximize Your Potential: Strategies for Success in a Digital World", "startDateTime": "2023-11-07T05:31:56Z", "endDateTime": "2023-11-07T05:31:56Z", "description": "<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>", "locationId": "d812a64f-8865-4289-9024-9a120792c3d8", "availableSpots": 100, "totalCapacity": 100, "externalRefId": "d812a64f8865428990249a120792c3d8", "parentSessionId": "d812a64f8865428990249a120792c3d8", "tags": [ "tag1", "tag2" ]}EOF
import requests
url = "https://api.zuddl.com/v1/events/{eventId}/sessions"
payload = {
"title": "Maximize Your Potential: Strategies for Success in a Digital World",
"startDateTime": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z",
"description": "<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>",
"locationId": "d812a64f-8865-4289-9024-9a120792c3d8",
"availableSpots": 100,
"totalCapacity": 100,
"externalRefId": "d812a64f8865428990249a120792c3d8",
"parentSessionId": "d812a64f8865428990249a120792c3d8",
"tags": ["tag1", "tag2"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Maximize Your Potential: Strategies for Success in a Digital World',
startDateTime: '2023-11-07T05:31:56Z',
endDateTime: '2023-11-07T05:31:56Z',
description: '<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today\'s fast-paced, technology-driven environment.</p>',
locationId: 'd812a64f-8865-4289-9024-9a120792c3d8',
availableSpots: 100,
totalCapacity: 100,
externalRefId: 'd812a64f8865428990249a120792c3d8',
parentSessionId: 'd812a64f8865428990249a120792c3d8',
tags: ['tag1', 'tag2']
})
};
fetch('https://api.zuddl.com/v1/events/{eventId}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zuddl.com/v1/events/{eventId}/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Maximize Your Potential: Strategies for Success in a Digital World',
'startDateTime' => '2023-11-07T05:31:56Z',
'endDateTime' => '2023-11-07T05:31:56Z',
'description' => '<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today\'s fast-paced, technology-driven environment.</p>',
'locationId' => 'd812a64f-8865-4289-9024-9a120792c3d8',
'availableSpots' => 100,
'totalCapacity' => 100,
'externalRefId' => 'd812a64f8865428990249a120792c3d8',
'parentSessionId' => 'd812a64f8865428990249a120792c3d8',
'tags' => [
'tag1',
'tag2'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zuddl.com/v1/events/{eventId}/sessions"
payload := strings.NewReader("{\n \"title\": \"Maximize Your Potential: Strategies for Success in a Digital World\",\n \"startDateTime\": \"2023-11-07T05:31:56Z\",\n \"endDateTime\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>\",\n \"locationId\": \"d812a64f-8865-4289-9024-9a120792c3d8\",\n \"availableSpots\": 100,\n \"totalCapacity\": 100,\n \"externalRefId\": \"d812a64f8865428990249a120792c3d8\",\n \"parentSessionId\": \"d812a64f8865428990249a120792c3d8\",\n \"tags\": [\n \"tag1\",\n \"tag2\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.zuddl.com/v1/events/{eventId}/sessions")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Maximize Your Potential: Strategies for Success in a Digital World\",\n \"startDateTime\": \"2023-11-07T05:31:56Z\",\n \"endDateTime\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>\",\n \"locationId\": \"d812a64f-8865-4289-9024-9a120792c3d8\",\n \"availableSpots\": 100,\n \"totalCapacity\": 100,\n \"externalRefId\": \"d812a64f8865428990249a120792c3d8\",\n \"parentSessionId\": \"d812a64f8865428990249a120792c3d8\",\n \"tags\": [\n \"tag1\",\n \"tag2\"\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.zuddl.com/v1/events/{eventId}/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Maximize Your Potential: Strategies for Success in a Digital World\",\n \"startDateTime\": \"2023-11-07T05:31:56Z\",\n \"endDateTime\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>\",\n \"locationId\": \"d812a64f-8865-4289-9024-9a120792c3d8\",\n \"availableSpots\": 100,\n \"totalCapacity\": 100,\n \"externalRefId\": \"d812a64f8865428990249a120792c3d8\",\n \"parentSessionId\": \"d812a64f8865428990249a120792c3d8\",\n \"tags\": [\n \"tag1\",\n \"tag2\"\n ]\n}"
response = http.request(request)
puts response.read_body
{ "kind": "<string>", "url": "<string>", "id": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397", "title": "Maximize Your Potential: Strategies for Success in a Digital World", "description": "<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>", "startDateTime": "2025-03-14T05:55:00Z", "endDateTime": "2025-03-14T05:55:00Z", "location": [ { "locationId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397", "locationName": "Session location", "type": "STAGE", "link": "<string>" } ], "speakers": [ { "speakerId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397", "url": "<string>" } ], "sponsors": [ { "sponsorId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397", "url": "<string>" } ], "tags": [ "tag1", "tag2" ], "files": [ { "fileId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397", "fileName": "Presentation", "fileUrl": "https://phoenixlive.imgix.net/9807c938-413f-4a18-8f22-c3ac150f1e61" } ], "availableSpots": 100, "totalCapacity": 100, "remainingCapacity": 75, "externalRefId": "d812a64f8865428990249a120792c3d8", "parentSessionId": "d812a64f8865428990249a120792c3d8"}
Use this endpoint to create a new session for a specific event type in your Zuddl organization.
Required API key scopes: WRITE
This API can only be called with an access key that was generated for Backend usage.
POST
/
v1
/
events
/
{eventId}
/
sessions
Create a new session
curl --request POST \ --url https://api.zuddl.com/v1/events/{eventId}/sessions \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "title": "Maximize Your Potential: Strategies for Success in a Digital World", "startDateTime": "2023-11-07T05:31:56Z", "endDateTime": "2023-11-07T05:31:56Z", "description": "<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>", "locationId": "d812a64f-8865-4289-9024-9a120792c3d8", "availableSpots": 100, "totalCapacity": 100, "externalRefId": "d812a64f8865428990249a120792c3d8", "parentSessionId": "d812a64f8865428990249a120792c3d8", "tags": [ "tag1", "tag2" ]}EOF
import requests
url = "https://api.zuddl.com/v1/events/{eventId}/sessions"
payload = {
"title": "Maximize Your Potential: Strategies for Success in a Digital World",
"startDateTime": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z",
"description": "<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>",
"locationId": "d812a64f-8865-4289-9024-9a120792c3d8",
"availableSpots": 100,
"totalCapacity": 100,
"externalRefId": "d812a64f8865428990249a120792c3d8",
"parentSessionId": "d812a64f8865428990249a120792c3d8",
"tags": ["tag1", "tag2"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Maximize Your Potential: Strategies for Success in a Digital World',
startDateTime: '2023-11-07T05:31:56Z',
endDateTime: '2023-11-07T05:31:56Z',
description: '<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today\'s fast-paced, technology-driven environment.</p>',
locationId: 'd812a64f-8865-4289-9024-9a120792c3d8',
availableSpots: 100,
totalCapacity: 100,
externalRefId: 'd812a64f8865428990249a120792c3d8',
parentSessionId: 'd812a64f8865428990249a120792c3d8',
tags: ['tag1', 'tag2']
})
};
fetch('https://api.zuddl.com/v1/events/{eventId}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zuddl.com/v1/events/{eventId}/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Maximize Your Potential: Strategies for Success in a Digital World',
'startDateTime' => '2023-11-07T05:31:56Z',
'endDateTime' => '2023-11-07T05:31:56Z',
'description' => '<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today\'s fast-paced, technology-driven environment.</p>',
'locationId' => 'd812a64f-8865-4289-9024-9a120792c3d8',
'availableSpots' => 100,
'totalCapacity' => 100,
'externalRefId' => 'd812a64f8865428990249a120792c3d8',
'parentSessionId' => 'd812a64f8865428990249a120792c3d8',
'tags' => [
'tag1',
'tag2'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zuddl.com/v1/events/{eventId}/sessions"
payload := strings.NewReader("{\n \"title\": \"Maximize Your Potential: Strategies for Success in a Digital World\",\n \"startDateTime\": \"2023-11-07T05:31:56Z\",\n \"endDateTime\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>\",\n \"locationId\": \"d812a64f-8865-4289-9024-9a120792c3d8\",\n \"availableSpots\": 100,\n \"totalCapacity\": 100,\n \"externalRefId\": \"d812a64f8865428990249a120792c3d8\",\n \"parentSessionId\": \"d812a64f8865428990249a120792c3d8\",\n \"tags\": [\n \"tag1\",\n \"tag2\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.zuddl.com/v1/events/{eventId}/sessions")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Maximize Your Potential: Strategies for Success in a Digital World\",\n \"startDateTime\": \"2023-11-07T05:31:56Z\",\n \"endDateTime\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>\",\n \"locationId\": \"d812a64f-8865-4289-9024-9a120792c3d8\",\n \"availableSpots\": 100,\n \"totalCapacity\": 100,\n \"externalRefId\": \"d812a64f8865428990249a120792c3d8\",\n \"parentSessionId\": \"d812a64f8865428990249a120792c3d8\",\n \"tags\": [\n \"tag1\",\n \"tag2\"\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.zuddl.com/v1/events/{eventId}/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Maximize Your Potential: Strategies for Success in a Digital World\",\n \"startDateTime\": \"2023-11-07T05:31:56Z\",\n \"endDateTime\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>\",\n \"locationId\": \"d812a64f-8865-4289-9024-9a120792c3d8\",\n \"availableSpots\": 100,\n \"totalCapacity\": 100,\n \"externalRefId\": \"d812a64f8865428990249a120792c3d8\",\n \"parentSessionId\": \"d812a64f8865428990249a120792c3d8\",\n \"tags\": [\n \"tag1\",\n \"tag2\"\n ]\n}"
response = http.request(request)
puts response.read_body
{ "kind": "<string>", "url": "<string>", "id": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397", "title": "Maximize Your Potential: Strategies for Success in a Digital World", "description": "<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>", "startDateTime": "2025-03-14T05:55:00Z", "endDateTime": "2025-03-14T05:55:00Z", "location": [ { "locationId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397", "locationName": "Session location", "type": "STAGE", "link": "<string>" } ], "speakers": [ { "speakerId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397", "url": "<string>" } ], "sponsors": [ { "sponsorId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397", "url": "<string>" } ], "tags": [ "tag1", "tag2" ], "files": [ { "fileId": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397", "fileName": "Presentation", "fileUrl": "https://phoenixlive.imgix.net/9807c938-413f-4a18-8f22-c3ac150f1e61" } ], "availableSpots": 100, "totalCapacity": 100, "remainingCapacity": 75, "externalRefId": "d812a64f8865428990249a120792c3d8", "parentSessionId": "d812a64f8865428990249a120792c3d8"}
"<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>"
Total capacity configured for the session. Applies to in-person and hybrid sessions; ignored for virtual sessions. Takes precedence over the deprecated availableSpots if both are provided.
"<p>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.</p>"
Number of spots still open for new registrations (totalCapacity minus already-registered users). Applies to in-person and hybrid sessions with a configured capacity; null otherwise.
{"docsConfig":{"theme":"linden","$schema":"https://mintlify.com/docs.json","name":"Zuddl guides","colors":{"primary":"#843DF5","light":"#843DF5","dark":"#843DF5"},"logo":{"light":"https://mintcdn.com/zuddl-2f3d3563/t-oKtTCoPeeFOd0s/logo/ZuddlLogo.svg?fit=max\u0026auto=format\u0026n=t-oKtTCoPeeFOd0s\u0026q=85\u0026s=c7c00bcb1a029f560a632baf30c667c2","dark":"https://mintcdn.com/zuddl-2f3d3563/t-oKtTCoPeeFOd0s/logo/ZuddlLogo.svg?fit=max\u0026auto=format\u0026n=t-oKtTCoPeeFOd0s\u0026q=85\u0026s=c7c00bcb1a029f560a632baf30c667c2"},"favicon":"https://mintcdn.com/zuddl-2f3d3563/1Pl9TGqjTCvT_S3j/zuddl-favicon.png?fit=max\u0026auto=format\u0026n=1Pl9TGqjTCvT_S3j\u0026q=85\u0026s=4c00d397a8c532b2104e72db097fc68a","appearance":{"default":"light","strict":true},"footer":{"socials":{"x":"https://x.com/WeareZuddl","linkedin":"https://www.linkedin.com/company/zuddl"}},"fonts":{"family":"Inter","weight":400},"styling":{"latex":false},"background":{"color":{"light":"#fbf9ff","dark":"#0d0b12"}},"navigation":{"global":{},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"zuddl-2f3d3563","hasAudioNarration":false,"actualSubdomain":"zuddl-2f3d3563","customDomains":["docs.zuddl.com"],"gitSource":{"type":"github","owner":"zuddl","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af1b113fa0ba5f582cde182","clientVersion":"0.0.4088","searchFilterCounts":[{"language":"default","tag":"Docs","count":76},{"language":"default","tag":"Core modules","count":65},{"language":"default","tag":"MCP Tools Reference","count":48},{"language":"default","tag":"MCP Tools","count":46},{"language":"default","tag":"Webhook Reference","count":43},{"language":"default","tag":"API Reference","count":40},{"language":"default","tag":"APIs","count":38},{"language":"default","tag":"Sessions","count":20},{"language":"default","tag":"Attendees","count":15},{"language":"default","tag":"AttendeeEngagementWebhooks","count":14}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#page-title{color:#320972!important}#navbar-transition{background-color:#320972!important;background:#320972!important}}\nnav-tabs-item.text-gray-800{color:#EFE6FF!important}sidebar{color:#320972!important}body:not(.dark) .NavBarLink,body:not(.dark) .nav-tabs-item{color:#FFFFFF!important}body:not(.dark) .NavBarLink:hover,body:not(.dark) .nav-tabs-item:hover{color:#98A2B3!important}#navigation-items>div:nth-of-type(2){margin-top:0!important}#assistant-entry-mobile svg{color:white!important;transition:color 0.2s ease}#assistant-entry-mobile svg:hover{color:#9ca3af!important}#search-bar-entry-mobile svg{color:white!important;border-color:white!important;background-color:white!important;transition:color 0.2s ease}#search-bar-entry-mobile svg:hover{background-color:#9ca3af!important}#sidebar-title{font-weight:bold}.sidebar-group-header{margin-bottom:0px!important}#sidebar-group{margin-bottom:16px!important}.sidebar-group-header{position:sticky;top:0;background:transparent;z-index:10}"}],"page":{"pagePath":"api-reference/sessions/create-a-new-session","slug":"/api-reference/sessions/create-a-new-session","pageMetadata":{"title":"Create a new session","description":"Use this endpoint to create a new session for a specific event type in your Zuddl organization.\n\nRequired API key scopes: `WRITE`\n\n**This API can only be called with an access key that was generated for Backend usage.**","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/sessions","href":"/api-reference/sessions/create-a-new-session","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Use this endpoint to create a new session for a specific event type in your Zuddl organization.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Required API key scopes: \", _jsx(_components.code, {\n children: \"WRITE\"\n })]\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"This API can only be called with an access key that was generated for Backend usage.\"\n })\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create a new session","description":"Use this endpoint to create a new session for a specific event type in your Zuddl organization.\n\nRequired API key scopes: `WRITE`\n\n**This API can only be called with an access key that was generated for Backend usage.**","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/sessions","href":"/api-reference/sessions/create-a-new-session","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/zuddl-2f3d3563/e3b0c44298fc1c14/index.js","/_mintlify/custom/zuddl-2f3d3563/7688de4aa4708809/mcp-links.js"],"openApiReferenceData":{"operation":{"tags":["Sessions"],"summary":"Create a new session","description":"Use this endpoint to create a new session for a specific event type in your Zuddl organization.\n\nRequired API key scopes: `WRITE`\n\n**This API can only be called with an access key that was generated for Backend usage.**","operationId":"createSession","parameters":["6f6ebac8-4b6b-476b-99e5-60b3db6aa3f8"],"requestBody":"c0fde55d-bab4-4e67-ae25-ea935a955ddf","responses":{"200":"8e0a4a61-4613-4050-9d88-cd9dc5343a4a","400":"1f81b7da-849f-4a24-b8ec-56dd658023a0","401":"7db0a2c9-e40e-4417-86ee-126f20c53bf1","404":"48a50fb8-ca54-4451-a6a5-34b7fc9926ba"},"x-required-scopes":["WRITE"],"x-is-backend-only":true,"method":"post","type":"path","servers":["ee45ffe0-5d7d-4db1-a78b-a846a848fd18"],"security":["06613e34-9187-4216-9404-b3dcae48da12"],"path":"/v1/events/{eventId}/sessions","baseUrlOptions":["https://api.zuddl.com/"],"title":"Create a new session","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"6f6ebac8-4b6b-476b-99e5-60b3db6aa3f8":{"name":"eventId","in":"path","description":"Unique identifier of the event","required":true,"schema":{"type":"string","pattern":"^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$","isRequired":true,"description":"Unique identifier of the event","uniqueKey":"","typeLabel":"string"},"example":"4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d"}},"requestBody":{"content":{"application/json":{"schema":{"properties":{"title":{"type":"string","description":"Title of the session","example":"Maximize Your Potential: Strategies for Success in a Digital World","maxLength":500,"minLength":0,"isRequired":true,"uniqueKey":"title","typeLabel":"string"},"startDateTime":{"type":"string","format":"date-time","description":"Start date time of the session","minLength":1,"isRequired":true,"uniqueKey":"startDateTime","typeLabel":"string\u003cdate-time>"},"endDateTime":{"type":"string","format":"date-time","description":"End date time of the session.","minLength":1,"isRequired":true,"uniqueKey":"endDateTime","typeLabel":"string\u003cdate-time>"},"description":{"type":"string","description":"Description of the session","example":"\u003cp>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.\u003c/p>","uniqueKey":"description","typeLabel":"string"},"locationId":{"type":"string","format":"uuid","description":"ID of the in-person location for the session","example":"d812a64f-8865-4289-9024-9a120792c3d8","uniqueKey":"locationId","typeLabel":"string\u003cuuid>"},"availableSpots":{"type":"integer","format":"int32","deprecated":true,"description":"**Deprecated**: use `totalCapacity` instead. Available Spots for an In-person session.","example":100,"uniqueKey":"availableSpots","typeLabel":"integer\u003cint32>"},"totalCapacity":{"type":"integer","format":"int32","description":"Total capacity configured for the session. Applies to in-person and hybrid sessions; ignored for virtual sessions. Takes precedence over the deprecated `availableSpots` if both are provided.","example":100,"uniqueKey":"totalCapacity","typeLabel":"integer\u003cint32>"},"externalRefId":{"type":"string","description":"A reference ID that you can use to map this session to your external systems or databases","example":"d812a64f8865428990249a120792c3d8","uniqueKey":"externalRefId","typeLabel":"string"},"parentSessionId":{"type":"string","description":"Parent session ID of the session","example":"d812a64f8865428990249a120792c3d8","uniqueKey":"parentSessionId","typeLabel":"string"},"tags":{"type":"array","description":"Tags for the session","example":["tag1","tag2"],"items":{"type":"string","description":"Tags for the session","example":"[\"tag1\",\"tag2\"]","uniqueKey":"tags.items.[INDEX]","typeLabel":"string"},"uniqueKey":"tags","typeLabel":"string[]"}},"required":["endDateTime","startDateTime","title"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"title":"Maximize Your Potential: Strategies for Success in a Digital World","startDateTime":"2023-11-07T05:31:56Z","endDateTime":"2023-11-07T05:31:56Z","description":"\u003cp>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.\u003c/p>","locationId":"d812a64f-8865-4289-9024-9a120792c3d8","availableSpots":100,"totalCapacity":100,"externalRefId":"d812a64f8865428990249a120792c3d8","parentSessionId":"d812a64f8865428990249a120792c3d8","tags":["tag1","tag2"]}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"8e0a4a61-4613-4050-9d88-cd9dc5343a4a":{"description":"Session created successfully","content":{"application/json":{"schema":{"properties":{"kind":{"type":"string","uniqueKey":"kind","typeLabel":"string"},"url":{"type":"string","format":"uri","uniqueKey":"url","typeLabel":"string\u003curi>"},"id":{"type":"string","format":"uuid","description":"Unique identifier of the session","example":"d5e31ba5-2d1e-4918-bb60-dd1514b4b397","uniqueKey":"id","typeLabel":"string\u003cuuid>"},"title":{"type":"string","description":"Name of the session","example":"Maximize Your Potential: Strategies for Success in a Digital World","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the session","example":"\u003cp>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.\u003c/p>","uniqueKey":"description","typeLabel":"string"},"startDateTime":{"type":"string","format":"date-time","description":"Start date time of the session","example":"2025-03-14T05:55:00Z","uniqueKey":"startDateTime","typeLabel":"string\u003cdate-time>"},"endDateTime":{"type":"string","format":"date-time","description":"End date time of the session","example":"2025-03-14T05:55:00Z","uniqueKey":"endDateTime","typeLabel":"string\u003cdate-time>"},"location":{"type":"array","description":"Location details of the session","items":{"description":"Location details of the session","properties":{"locationId":{"type":"string","format":"uuid","description":"Unique identifier of the session location","example":"d5e31ba5-2d1e-4918-bb60-dd1514b4b397","uniqueKey":"location.items.[INDEX].locationId","typeLabel":"string\u003cuuid>"},"locationName":{"type":"string","description":"Name of the session location","example":"Session location","uniqueKey":"location.items.[INDEX].locationName","typeLabel":"string"},"type":{"type":"string","description":"Type of the session venue","enum":["STAGE","SESSION","NETWORKING","EXPO","LOBBY","SCHEDULE","ROOMS","IN_PERSON","NONE","STUDIO"],"uniqueKey":"location.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"link":{"type":"string","description":"Link of the session location","uniqueKey":"location.items.[INDEX].link","typeLabel":"string"}},"type":"object","uniqueKey":"location.items.[INDEX]","typeLabel":"object"},"uniqueKey":"location","typeLabel":"object[]"},"speakers":{"type":"array","description":"Speakers of the session","items":{"description":"Speakers of the session","properties":{"speakerId":{"type":"string","format":"uuid","description":"Unique identifier of the session speaker","example":"d5e31ba5-2d1e-4918-bb60-dd1514b4b397","uniqueKey":"speakers.items.[INDEX].speakerId","typeLabel":"string\u003cuuid>"},"url":{"type":"string","format":"uri","description":"API URL to retrieve speaker details","uniqueKey":"speakers.items.[INDEX].url","typeLabel":"string\u003curi>"}},"type":"object","uniqueKey":"speakers.items.[INDEX]","typeLabel":"object"},"uniqueKey":"speakers","typeLabel":"object[]"},"sponsors":{"type":"array","description":"Sponsors of the session","items":{"description":"Sponsors of the session","properties":{"sponsorId":{"type":"string","format":"uuid","description":"Unique identifier of the session sponsor","example":"d5e31ba5-2d1e-4918-bb60-dd1514b4b397","uniqueKey":"sponsors.items.[INDEX].sponsorId","typeLabel":"string\u003cuuid>"},"url":{"type":"string","format":"uri","description":"API URL to retrieve sponsor details","uniqueKey":"sponsors.items.[INDEX].url","typeLabel":"string\u003curi>"}},"type":"object","uniqueKey":"sponsors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"sponsors","typeLabel":"object[]"},"tags":{"type":"array","description":"Tags of the session","example":["tag1","tag2"],"items":{"type":"string","description":"Tags of the session","example":"[\"tag1\",\"tag2\"]","uniqueKey":"tags.items.[INDEX]","typeLabel":"string"},"uniqueKey":"tags","typeLabel":"string[]"},"files":{"type":"array","description":"Files of the session","items":{"description":"Files of the session","properties":{"fileId":{"type":"string","format":"uuid","description":"Unique identifier of the file","example":"d5e31ba5-2d1e-4918-bb60-dd1514b4b397","uniqueKey":"files.items.[INDEX].fileId","typeLabel":"string\u003cuuid>"},"fileName":{"type":"string","description":"File name","example":"Presentation","uniqueKey":"files.items.[INDEX].fileName","typeLabel":"string"},"fileUrl":{"type":"string","description":"Url of the file","example":"https://phoenixlive.imgix.net/9807c938-413f-4a18-8f22-c3ac150f1e61","uniqueKey":"files.items.[INDEX].fileUrl","typeLabel":"string"}},"type":"object","uniqueKey":"files.items.[INDEX]","typeLabel":"object"},"uniqueKey":"files","typeLabel":"object[]"},"availableSpots":{"type":"integer","format":"int32","deprecated":true,"description":"**Deprecated**: use `totalCapacity` instead. Number of available spots for the session.","example":100,"uniqueKey":"availableSpots","typeLabel":"integer\u003cint32>"},"totalCapacity":{"type":"integer","format":"int32","description":"Total capacity configured for the session. Applies to in-person and hybrid sessions; null for virtual sessions.","example":100,"uniqueKey":"totalCapacity","typeLabel":"integer\u003cint32>"},"remainingCapacity":{"type":"integer","format":"int32","description":"Number of spots still open for new registrations (totalCapacity minus already-registered users). Applies to in-person and hybrid sessions with a configured capacity; null otherwise.","example":75,"uniqueKey":"remainingCapacity","typeLabel":"integer\u003cint32>"},"externalRefId":{"type":"string","description":"A reference ID that you can use to map this session to your external systems or databases","example":"d812a64f8865428990249a120792c3d8","uniqueKey":"externalRefId","typeLabel":"string"},"parentSessionId":{"type":"string","description":"Parent session ID of the session","example":"d812a64f8865428990249a120792c3d8","uniqueKey":"parentSessionId","typeLabel":"string"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"kind":"\u003cstring>","url":"\u003cstring>","id":"d5e31ba5-2d1e-4918-bb60-dd1514b4b397","title":"Maximize Your Potential: Strategies for Success in a Digital World","description":"\u003cp>Join us for an engaging online session designed to equip you with practical tools and insights for thriving in today's fast-paced, technology-driven environment.\u003c/p>","startDateTime":"2025-03-14T05:55:00Z","endDateTime":"2025-03-14T05:55:00Z","location":[{"locationId":"d5e31ba5-2d1e-4918-bb60-dd1514b4b397","locationName":"Session location","type":"STAGE","link":"\u003cstring>"}],"speakers":[{"speakerId":"d5e31ba5-2d1e-4918-bb60-dd1514b4b397","url":"\u003cstring>"}],"sponsors":[{"sponsorId":"d5e31ba5-2d1e-4918-bb60-dd1514b4b397","url":"\u003cstring>"}],"tags":["tag1","tag2"],"files":[{"fileId":"d5e31ba5-2d1e-4918-bb60-dd1514b4b397","fileName":"Presentation","fileUrl":"https://phoenixlive.imgix.net/9807c938-413f-4a18-8f22-c3ac150f1e61"}],"availableSpots":100,"totalCapacity":100,"remainingCapacity":75,"externalRefId":"d812a64f8865428990249a120792c3d8","parentSessionId":"d812a64f8865428990249a120792c3d8"}}},"exampleType":"generated"}},"exampleType":"generated"},"1f81b7da-849f-4a24-b8ec-56dd658023a0":{"description":"Invalid event ID supplied","content":{"application/json":{"schema":{"properties":{"timestamp":{"type":"string","format":"date-time","uniqueKey":"timestamp","typeLabel":"string\u003cdate-time>"},"message":{"type":"string","uniqueKey":"message","typeLabel":"string"},"description":{"type":"string","uniqueKey":"description","typeLabel":"string"},"code":{"type":"string","uniqueKey":"code","typeLabel":"string"},"params":{"type":"object","additionalProperties":{"type":"object","uniqueKey":"params.additionalProperties","typeLabel":"object"},"uniqueKey":"params","typeLabel":"object"},"errors":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"errors.additionalProperties","typeLabel":"string"},"uniqueKey":"errors","typeLabel":"object"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"timestamp":"2023-11-07T05:31:56Z","message":"\u003cstring>","description":"\u003cstring>","code":"\u003cstring>","params":{},"errors":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"7db0a2c9-e40e-4417-86ee-126f20c53bf1":{"description":"Unauthorized access to event","content":{"application/json":{"schema":{"properties":{"timestamp":{"type":"string","format":"date-time","uniqueKey":"timestamp","typeLabel":"string\u003cdate-time>"},"message":{"type":"string","uniqueKey":"message","typeLabel":"string"},"description":{"type":"string","uniqueKey":"description","typeLabel":"string"},"code":{"type":"string","uniqueKey":"code","typeLabel":"string"},"params":{"type":"object","additionalProperties":{"type":"object","uniqueKey":"params.additionalProperties","typeLabel":"object"},"uniqueKey":"params","typeLabel":"object"},"errors":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"errors.additionalProperties","typeLabel":"string"},"uniqueKey":"errors","typeLabel":"object"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"timestamp":"2023-11-07T05:31:56Z","message":"\u003cstring>","description":"\u003cstring>","code":"\u003cstring>","params":{},"errors":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"48a50fb8-ca54-4451-a6a5-34b7fc9926ba":{"description":"Event not found","content":{"application/json":{"schema":{"properties":{"timestamp":{"type":"string","format":"date-time","uniqueKey":"timestamp","typeLabel":"string\u003cdate-time>"},"message":{"type":"string","uniqueKey":"message","typeLabel":"string"},"description":{"type":"string","uniqueKey":"description","typeLabel":"string"},"code":{"type":"string","uniqueKey":"code","typeLabel":"string"},"params":{"type":"object","additionalProperties":{"type":"object","uniqueKey":"params.additionalProperties","typeLabel":"object"},"uniqueKey":"params","typeLabel":"object"},"errors":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"errors.additionalProperties","typeLabel":"string"},"uniqueKey":"errors","typeLabel":"object"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"timestamp":"2023-11-07T05:31:56Z","message":"\u003cstring>","description":"\u003cstring>","code":"\u003cstring>","params":{},"errors":{}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"06613e34-9187-4216-9404-b3dcae48da12":{"api_key":{"type":"apiKey","description":"Provide your API key secret in the `Authorization` header","name":"Authorization","in":"header","scopes":[],"schemeName":"api_key"}}},"servers":{"ee45ffe0-5d7d-4db1-a78b-a846a848fd18":{"url":"https://api.zuddl.com/"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","description":"Provide your API key secret in the `Authorization` header","name":"Authorization","in":"header","scopes":[],"schemeName":"api_key"},"schema":{"title":"Authorization","type":"string","description":"Provide your API key secret in the `Authorization` header","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"api_key","name":"Authorization"}],"title":"api_key"}]},"originalFileLocation":"https://api.prod.zuddl.com/api/v3/api-docs/api-product"},"subdomain":"zuddl-2f3d3563","siteName":"Zuddl guides","title":"Create a new session - Zuddl guides","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-09T11:40:25.160Z","originalFileLocation":"api-reference/sessions/create-a-new-session.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"light\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Use this endpoint to create a new session for a specific event type in your Zuddl organization. Required API key scopes: WRITE This API can only be called with an access key that was generated for Backend usage.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Zuddl guides\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/zuddl-2f3d3563/-eTLRHyA-a5Vwfxt/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/zuddl-2f3d3563/-eTLRHyA-a5Vwfxt/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/zuddl-2f3d3563/-eTLRHyA-a5Vwfxt/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/zuddl-2f3d3563/-eTLRHyA-a5Vwfxt/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/zuddl-2f3d3563/-eTLRHyA-a5Vwfxt/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/zuddl-2f3d3563/-eTLRHyA-a5Vwfxt/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/zuddl-2f3d3563/-eTLRHyA-a5Vwfxt/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/zuddl-2f3d3563/-eTLRHyA-a5Vwfxt/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/zuddl-2f3d3563/-eTLRHyA-a5Vwfxt/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a new session - Zuddl guides\">\u003cmeta data-mint-head property=\"og:description\" content=\"Use this endpoint to create a new session for a specific event type in your Zuddl organization. Required API key scopes: WRITE This API can only be called with an access key that was generated for Backend usage.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Zuddl guides\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.zuddl.com/api-reference/sessions/create-a-new-session\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://zuddl-2f3d3563.mintlify.site/_mintlify/api/og/v2?division=Sessions\u0026amp;title=Create+a+new+session\u0026amp;description=Use+this+endpoint+to+create+a+new+session+for+a+specific+event+type+in+your+Zuddl+organization.%0A%0ARequired+API+key+scopes%3A+%60WRITE%60%0A%0A**This+API+can+only+be+called\u0026amp;theme=b9dd646c8cdd23fa741fcf41\u0026amp;signature=442efbb9b76cd75178382e8b20f7d258afb0e1eb0facd45576ad2a10cedc8208\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a new session - Zuddl guides\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Use this endpoint to create a new session for a specific event type in your Zuddl organization. Required API key scopes: WRITE This API can only be called with an access key that was generated for Backend usage.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://zuddl-2f3d3563.mintlify.site/_mintlify/api/og/v2?division=Sessions\u0026amp;title=Create+a+new+session\u0026amp;description=Use+this+endpoint+to+create+a+new+session+for+a+specific+event+type+in+your+Zuddl+organization.%0A%0ARequired+API+key+scopes%3A+%60WRITE%60%0A%0A**This+API+can+only+be+called\u0026amp;theme=b9dd646c8cdd23fa741fcf41\u0026amp;signature=442efbb9b76cd75178382e8b20f7d258afb0e1eb0facd45576ad2a10cedc8208\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/zuddl-2f3d3563/-eTLRHyA-a5Vwfxt/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Zuddl guides\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#843DF5\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.zuddl.com/api-reference/sessions/create-a-new-session\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/sessions/create-a-new-session.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.zuddl.com/#organization\",\"name\":\"Zuddl guides\",\"url\":\"https://docs.zuddl.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/zuddl-2f3d3563/t-oKtTCoPeeFOd0s/logo/ZuddlLogo.svg?fit=max\u0026auto=format\u0026n=t-oKtTCoPeeFOd0s\u0026q=85\u0026s=c7c00bcb1a029f560a632baf30c667c2\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.zuddl.com#website\",\"name\":\"Zuddl guides\",\"url\":\"https://docs.zuddl.com\",\"publisher\":{\"@id\":\"https://docs.zuddl.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.zuddl.com/api-reference/sessions/create-a-new-session#webpage\",\"url\":\"https://docs.zuddl.com/api-reference/sessions/create-a-new-session\",\"name\":\"Create a new session\",\"description\":\"Use this endpoint to create a new session for a specific event type in your Zuddl organization. Required API key scopes: WRITE This API can only be called with an access key that was generated for Backend usage.\",\"dateModified\":\"2026-11-09T11:40:25.160Z\",\"isPartOf\":{\"@id\":\"https://docs.zuddl.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.zuddl.com/api-reference/sessions/create-a-new-session#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.zuddl.com/api-reference/sessions/create-a-new-session#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"APIs\",\"item\":\"https://docs.zuddl.com/api-reference/speakers/get-speaker-details\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Sessions\",\"item\":\"https://docs.zuddl.com/api-reference/sessions/get-session-details\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create a new session\",\"item\":\"https://docs.zuddl.com/api-reference/sessions/create-a-new-session\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.zuddl.com/api-reference/sessions/create-a-new-session#apireference\",\"headline\":\"Create a new session\",\"name\":\"Create a new session\",\"description\":\"Use this endpoint to create a new session for a specific event type in your Zuddl organization. Required API key scopes: WRITE This API can only be called with an access key that was generated for Backend usage.\",\"url\":\"https://docs.zuddl.com/api-reference/sessions/create-a-new-session\",\"mainEntityOfPage\":{\"@id\":\"https://docs.zuddl.com/api-reference/sessions/create-a-new-session#webpage\"},\"dateModified\":\"2026-11-09T11:40:25.160Z\",\"publisher\":{\"@id\":\"https://docs.zuddl.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.zuddl.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Zuddl guides\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Zuddl guides","nav":{"global":{},"tabs":[{"tab":"Docs","pages":[{"title":"Docs","href":""}]},{"tab":"API Reference","groups":[{"group":"API Reference","pages":[{"title":"Introduction to Zuddl APIs","href":"/api-reference/introduction"}]},{"group":"APIs","pages":[{"group":"Speakers","pages":[{"title":"Get speaker details","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/{eventId}/speakers/{speakerId}","href":"/api-reference/speakers/get-speaker-details"},{"title":"Update an existing speaker","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product put /v1/events/{eventId}/speakers/{speakerId}","href":"/api-reference/speakers/update-an-existing-speaker"},{"title":"Get all speaker details","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/{eventId}/speakers","href":"/api-reference/speakers/get-all-speaker-details"},{"title":"Create a new speaker","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/speakers","href":"/api-reference/speakers/create-a-new-speaker"},{"title":"Upload a speaker's profile picture","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/speakers/{speakerId}/pic","href":"/api-reference/speakers/upload-a-speakers-profile-picture"}]},{"group":"Sessions","pages":[{"title":"Get session details","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/{eventId}/sessions/{sessionId}","href":"/api-reference/sessions/get-session-details"},{"title":"Update an existing session","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product put /v1/events/{eventId}/sessions/{sessionId}","href":"/api-reference/sessions/update-an-existing-session"},{"title":"Get all sessions","description":"Use this endpoint to retrieve the list of all sessions in a particular event type in your Zuddl organization. You can use query parameters such as filter, pagination, or sort to customize the response\n\nRequired API key scopes: `READ`","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/{eventId}/sessions","href":"/api-reference/sessions/get-all-sessions"},{"title":"Create a new session","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/sessions","href":"/api-reference/sessions/create-a-new-session"},{"title":"Add speakers to a session","description":"Use this endpoint to add speakers to a session for a specific event type in your Zuddl organization.\n\nRequired API key scopes: `WRITE`\n\n**This API can only be called with an access key that was generated for Backend usage.**","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/sessions/{sessionId}/speakers","href":"/api-reference/sessions/add-speakers-to-a-session"},{"title":"Remove speakers from a session","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product delete /v1/events/{eventId}/sessions/{sessionId}/speakers","href":"/api-reference/sessions/remove-speakers-from-a-session"},{"title":"Add files to a session","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/sessions/{sessionId}/files","href":"/api-reference/sessions/add-files-to-a-session"},{"title":"Remove files from a session","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product delete /v1/events/{eventId}/sessions/{sessionId}/files","href":"/api-reference/sessions/remove-files-from-a-session"},{"title":"Record a session check-out","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/sessions/{sessionId}/attendance/checkout","href":"/api-reference/sessions/record-a-session-check-out"},{"title":"Record a session check-in","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/sessions/{sessionId}/attendance/checkin","href":"/api-reference/sessions/record-a-session-check-in"}]},{"group":"Locations","pages":[{"title":"Get location details","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/{eventId}/locations/{locationId}","href":"/api-reference/locations/get-location-details"},{"title":"Update an existing location","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product put /v1/events/{eventId}/locations/{locationId}","href":"/api-reference/locations/update-an-existing-location"},{"title":"Delete a location","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product delete /v1/events/{eventId}/locations/{locationId}","href":"/api-reference/locations/delete-a-location"},{"title":"Get all location details","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/{eventId}/locations","href":"/api-reference/locations/get-all-location-details"},{"title":"Create a new location","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/locations","href":"/api-reference/locations/create-a-new-location"}]},{"group":"Events","pages":[{"title":"Get all events","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events","href":"/api-reference/events/get-all-events"},{"title":"Create an event","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events","href":"/api-reference/events/create-an-event"},{"title":"Get event details","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/{eventId}","href":"/api-reference/events/get-event-details"},{"title":"Get the organization's event tags","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/tags","href":"/api-reference/events/get-the-organizations-event-tags"},{"title":"Get the supported event languages","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/languages","href":"/api-reference/events/get-the-supported-event-languages"}]},{"group":"Sponsors","pages":[{"title":"Get all sponsor details","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/{eventId}/sponsors","href":"/api-reference/sponsors/get-all-sponsor-details"},{"title":"Create a sponsor","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/sponsors","href":"/api-reference/sponsors/create-a-sponsor"},{"title":"Upload a sponsor's logo or cover image","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/sponsors/{sponsorId}/image","href":"/api-reference/sponsors/upload-a-sponsors-logo-or-cover-image"},{"title":"Get sponsor details","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/{eventId}/sponsors/{sponsorId}","href":"/api-reference/sponsors/get-sponsor-details"},{"title":"Update a sponsor","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product patch /v1/events/{eventId}/sponsors/{sponsorId}","href":"/api-reference/sponsors/update-a-sponsor"}]},{"group":"Attendees","pages":[{"title":"Get all attendee details","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/{eventId}/attendees","href":"/api-reference/attendees/get-all-attendee-details"},{"title":"Add an attendee","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/attendees","href":"/api-reference/attendees/add-an-attendee"},{"title":"Reject an attendee registration","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/attendees/{registrationId}/reject","href":"/api-reference/attendees/reject-an-attendee-registration"},{"title":"Approve an attendee registration","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/attendees/{registrationId}/approve","href":"/api-reference/attendees/approve-an-attendee-registration"},{"title":"Record an event check-out","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/attendees/attendance/checkout","href":"/api-reference/attendees/record-an-event-check-out"},{"title":"Record an event check-in","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/attendees/attendance/checkin","href":"/api-reference/attendees/record-an-event-check-in"},{"title":"Get attendee details","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/{eventId}/attendees/{registrationId}","href":"/api-reference/attendees/get-attendee-details"}]},{"group":"Teams","pages":[{"title":"Get all teams","deprecated":null,"version":null,"openapi":"https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/teams","href":"/api-reference/teams/get-all-teams"}]}]}]},{"tab":"MCP Tools Reference","pages":[{"title":"MCP Tools Reference","href":"/mcp-reference/introduction"}]},{"tab":"Webhook Reference","pages":[{"title":"Webhook Reference","href":"/api-reference/ticketingwebhooks/add-on-modified-activity"}]},{"tab":"Help Center","href":"https://support.zuddl.com/"}]},"basePath":"","title":"Create a new session - Zuddl guides","buildId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","deploymentId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-5FCzAcfS.js","utils-SLtAG4EZ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-2DZi8ZMu.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D7J3nkzE.js","snippetPresets-D0Alv0AH.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BI4qNJ2c.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BD3uyr8j.js","shallow-D8iEBr5z.js","getApiPlaygroundDisplay-CgNP4lzR.js","CodeSnippet-CX-QHuMs.js","CodeSnippets-VlXE-ZUf.js","Page-D9ithiIZ.js","getPastedJson-DYNQkZ1M.js","icon-CzacdwOi.js","MethodPill-2JVqoYKi.js","DuplicateIcon-_xVXs-U8.js","createIcon-BRHrweLo.js","DynamicMarkdown-mQG_iQiE.js","SectionHeading-DMpJzv8f.js","axios-vUo_bRtp.js","Markdown-5FGIym-8.js","clsx-D-TRO5q5.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CdrJecqK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CHlcWBLM.js"]}